<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@6001=90</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@6228=06</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Water can still kill though</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@19C9</action>
    </script>
    <script state="run">
      <action>maincpu.mb@19C9=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@19C9=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Freeze Bonus Timer">
    <script state="on">
      <action>temp0 =maincpu.mb@06A9</action>
      <action>maincpu.mb@06A9=00</action>
      <action>maincpu.pb@6386=00</action>
    </script>
    <script state="run">
      <action condition="(maincpu.pb@62B1==01)">maincpu.pb@62B1=maincpu.pb@62B0 - 1</action>
    </script>
    <script state="off">
      <action>maincpu.mb@06A9=temp0 </action>
      <action>temp1 =(maincpu.pb@638C - (maincpu.pb@638C / 10) * 6)</action>
      <action condition="(maincpu.pb@6200!=00)">maincpu.pb@62B1=temp1 </action>
      <action condition="(maincpu.pb@6200!=00) AND (temp1==0)">maincpu.pb@6386=02</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Fix Kill Screen Bug"> <comment>Fixes the bug which kills you on level 22 regardless, see here - http://donhodges.com/how_high_can_you_get.htm</comment>
    <script state="on">
      <action>temp0=maincpu.mq@0F7D, temp1=maincpu.mq@0F85, temp2=maincpu.mb@0F8D</action>
    </script>
    <script state="run">
      <action>maincpu.mq@0F7D=A747043E023804FE, maincpu.mq@0F85=C6808017A717A717, maincpu.mb@0F8D=28</action>
    </script>
    <script state="off">
      <action>maincpu.mq@0F7D=temp0, maincpu.mq@0F85=temp1, maincpu.mb@0F8D=temp2</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="24" step="1"/>
    <script state="on">
      <action condition="maincpu.pb@6001==00">maincpu.pb@6001=01</action>
    </script>
    <script state="change">
      <action condition="temp0==9">maincpu.pb@608C=00</action>
      <action condition="(temp0==B) or (temp0==E)">maincpu.pb@6089=00</action>
      <action condition="param LT 8">maincpu.pb@(607F+param)=01</action>
      <action condition="param==8">maincpu.pb@6088=01</action>
      <action condition="param==9">maincpu.pb@608C=01</action>
      <action condition="param==A">maincpu.pb@608D=01</action>
      <action condition="param>=B">maincpu.pb@6089=(param-A)</action>
      <action>temp0=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
